Subject: [Errata Held for Document Update] RFC7540 (4925)

From: RFC Errata System <[email-masked]>
Date: Thu, 23 Feb 2017 07:29:01 -0800 (PST)

The following errata report has been held for document update 
for RFC7540, "Hypertext Transfer Protocol Version 2 (HTTP/2)". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7540&eid=4925

--------------------------------------
Status: Held for Document Update
Type: Editorial

Reported by: Martin Thomson <[email-masked]>
Date Reported: 2017-02-07
Held by: Alexey Melnikov (IESG)

Section: GLOBAL

Original Text
-------------

Corrected Text
--------------

Notes
-----
It's unclear from the text whether PRIORITY frames affect stream states (as shown in the state machine in Section 5.1).  The original intent was that prioritization of streams was independent of the mechanics of opening and closing streams, but this was not consistently captured.

Two small additions to the document would help considerably.

In Section 5.3 (Stream Priority) add a new paragraph:

> The information that an endpoint maintains for stream priority is separate from other state. Importantly, this includes stream states (Section 5.1).  A stream in any state can have its priority changed with a PRIORITY frame. The state of a stream is not changed as a result of changing its priority.  The number of streams for which state is remembered is at the discretion of an endpoint, see Section 5.3.4 for details.

 In Section 6.4 (PRIORITY) a new sentence at the end of the first paragraph:

> Sending or receiving a PRIORITY frame does not affect the state of any stream (Section 5.1), only the priority of streams is altered.

--------------------------------------
RFC7540 (draft-ietf-httpbis-http2-17)
--------------------------------------
Title               : Hypertext Transfer Protocol Version 2 (HTTP/2)
Publication Date    : May 2015
Author(s)           : M. Belshe, R. Peon, M. Thomson, Ed.
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG